JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions
juce_OutputStream.h File Reference

## Classes
class | OutputStream
| The base class for streams that write data to some kind of destination. More...

## Functions
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, int number)
| Writes a number to a stream as 8-bit characters in the default system encoding.
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, int64 number)
| Writes a number to a stream as 8-bit characters in the default system encoding.
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, double number)
| Writes a number to a stream as 8-bit characters in the default system encoding.
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, char character)
| Writes a character to a stream.
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, const char *text)
| Writes a null-terminated text string to a stream.
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, const MemoryBlock &data)
| Writes a block of data from a MemoryBlock to a stream.
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, const File &fileToRead)
| Writes the contents of a file to a stream.
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, InputStream &streamToRead)
| Writes the complete contents of an input stream to an output stream.
JUCE_API OutputStream &JUCE_CALLTYPE | operator<< (OutputStream &stream, const NewLine &)
| Writes a new-line to a stream.